[arch-commits] Commit in cabal-install/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sat Dec 2 18:26:31 UTC 2017


    Date: Saturday, December 2, 2017 @ 18:26:30
  Author: felixonmars
Revision: 271906

archrelease: copy trunk to community-x86_64

Added:
  cabal-install/repos/community-x86_64/PKGBUILD
    (from rev 271904, cabal-install/trunk/PKGBUILD)
Deleted:
  cabal-install/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   88 ++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 47 insertions(+), 41 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-12-02 18:26:22 UTC (rev 271905)
+++ PKGBUILD	2017-12-02 18:26:30 UTC (rev 271906)
@@ -1,41 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Thomas Dziedzic <gostrc at gmail.com>
-# Contributor: Vesa Kaihlavirta <vesa at archlinux.org>
-# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
-
-pkgname=cabal-install
-pkgver=2.0.0.0
-pkgrel=4
-pkgdesc="The command-line interface for Cabal and Hackage."
-url="https://hackage.haskell.org/package/cabal-install"
-license=('custom:BSD3')
-arch=('x86_64')
-depends=('ghc-libs' "haskell-async" "haskell-base16-bytestring" "haskell-cryptohash-sha256"
-         "haskell-echo" "haskell-edit-distance"
-         "haskell-hackage-security" "haskell-hashable" "haskell-http" "haskell-mtl"
-         "haskell-network" "haskell-network-uri" "haskell-random" "haskell-stm" "haskell-tar"
-         "haskell-zlib")
-makedepends=('ghc')
-source=("https://hackage.haskell.org/package/cabal-install-${pkgver}/cabal-install-${pkgver}.tar.gz")
-sha512sums=('4aac5f27d3d8650224bff5ae24e835d9b772596f3b455ef141bef77c831eebd252e1a17f19c3d534752aa03664273053f151fa3187bd7cd267eaab2a0e61b82d')
-
-build() {
-  cd "${srcdir}/$pkgname-$pkgver"
-
-  runhaskell Setup configure -O --prefix=/usr --enable-executable-dynamic --docdir="/usr/share/doc/${pkgname}" \
-    -fnetwork-uri -f-old-directory -f-old-bytestring -f-debug-expensive-assertions -f-debug-conflict-sets \
-    -f-debug-tracetree -f-parsec -f-monolithic
-  runhaskell Setup build
-}
-
-package() {
-  cd "${srcdir}/$pkgname-$pkgver"
-  runhaskell Setup copy --destdir="${pkgdir}"
-
-  install -Dm644 LICENSE \
-    "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-
-  install -Dm644 bash-completion/cabal \
-    "${pkgdir}/usr/share/bash-completion/completions/cabal"
-}

Copied: cabal-install/repos/community-x86_64/PKGBUILD (from rev 271904, cabal-install/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-12-02 18:26:30 UTC (rev 271906)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Thomas Dziedzic <gostrc at gmail.com>
+# Contributor: Vesa Kaihlavirta <vesa at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=cabal-install
+pkgver=2.0.0.1
+pkgrel=1
+pkgdesc="The command-line interface for Cabal and Hackage."
+url="https://hackage.haskell.org/package/cabal-install"
+license=('custom:BSD3')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-async' 'haskell-base16-bytestring' 'haskell-cryptohash-sha256'
+         'haskell-echo' 'haskell-edit-distance' 'haskell-hackage-security' 'haskell-hashable'
+         'haskell-http' 'haskell-mtl' 'haskell-network' 'haskell-network-uri' 'haskell-random'
+         'haskell-stm' 'haskell-tar' 'haskell-zlib')
+makedepends=('ghc' 'haskell-pretty-show' 'haskell-quickcheck' 'haskell-tagged' 'haskell-tasty'
+             'haskell-tasty-hunit' 'haskell-tasty-quickcheck')
+source=("https://hackage.haskell.org/package/cabal-install-${pkgver}/cabal-install-${pkgver}.tar.gz")
+sha512sums=('136105745e22b83a9ab906ac71ebbf4a5992b1731dd152e88eaa8dfd0d3076ddaca80bf0077c8b59c085c7d2f2fd0a3786e6e4c70a47dc924995f23758952a16')
+
+build() {
+  cd "${srcdir}/$pkgname-$pkgver"
+
+  runhaskell Setup configure -O --prefix=/usr --enable-executable-dynamic --disable-library-vanilla \
+    --docdir="/usr/share/doc/${pkgname}" --enable-tests \
+    -fnetwork-uri -f-old-directory -f-old-bytestring -f-debug-expensive-assertions -f-debug-conflict-sets \
+    -f-debug-tracetree -f-parsec -f-monolithic
+  runhaskell Setup build
+}
+
+check() {
+  cd $pkgname-$pkgver
+  runhaskell Setup test || warning "TODO: pass -dynamic somewhere"
+}
+
+package() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  runhaskell Setup copy --destdir="${pkgdir}"
+
+  install -Dm644 LICENSE \
+    "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+
+  install -Dm644 bash-completion/cabal \
+    "${pkgdir}/usr/share/bash-completion/completions/cabal"
+}



More information about the arch-commits mailing list